void printi(int val);

int main()
{
  int i = 1;

  printi(sizeof("ABCDE"));
  printi(sizeof(!"ABCDE"));
  printi(sizeof("ABCDE" && "abcde"));
  printi(sizeof("ABCDE" || "abcde"));
  printi(sizeof(i ? "ABCDE" : "abcde"));
  printi(sizeof(1 ? "ABCDE" : "abcde"));

  return 0;
}
